Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2)

Issue 6427063: [google] Modification of gcov pmu format to reduce gcda size bloat

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years ago by cmang2
Modified:
2 years, 11 months ago
Reviewers:
xur, tejohnson, davidxl
CC:
gcc-patches_gcc.gnu.org
Base URL:
svn://gcc.gnu.org/svn/gcc/branches/google/gcc-4_7/
Visibility:
Public.

Patch Set 1 #

Patch Set 2 : [google] Modification of gcov pmu format to reduce gcda size bloat #

Total comments: 12

Patch Set 3 : [google] Modification of gcov pmu format to reduce gcda size bloat #

Total comments: 6

Patch Set 4 : [google] Modification of gcov pmu format to reduce gcda size bloat #

Unified diffs Side-by-side diffs Delta from patch set Stats (+167 lines, -51 lines) Patch
M gcc/gcov.c View 1 2 3 13 chunks +55 lines, -10 lines 0 comments Download
M gcc/gcov-dump.c View 1 2 3 4 chunks +12 lines, -2 lines 0 comments Download
M gcc/gcov-io.h View 1 2 3 7 chunks +44 lines, -7 lines 0 comments Download
M gcc/gcov-io.c View 1 2 3 6 chunks +34 lines, -16 lines 0 comments Download
M libgcc/pmu-profile.c View 1 2 3 5 chunks +22 lines, -16 lines 0 comments Download

Messages

Total messages: 21
cmang2
This patch modifies pmu-profile to allow gooda_feedback access to important gcov to gcda conversion functions ...
3 years ago (2012-07-24 22:03:38 UTC) #1
tejohnson
On Tue, Jul 24, 2012 at 3:03 PM, Chris Manghane <cmang@google.com> wrote: > This patch ...
3 years ago (2012-07-25 18:32:20 UTC) #2
tejohnson
Resending in plain text mode so that it goes through to mailing list... On Wed, ...
3 years ago (2012-07-25 18:35:06 UTC) #3
cmang2
This patch has been updated to reflect changes in patch r190247, which removed pfmon support. ...
2 years, 11 months ago (2012-08-15 19:31:32 UTC) #4
cmang2
Hi David, Could you take a look at the patch I mailed to gcc-patches when ...
2 years, 11 months ago (2012-08-16 17:14:32 UTC) #5
cmang2
Hi Rong, Could you take a look at the patch I mailed to gcc-patches when ...
2 years, 11 months ago (2012-08-17 17:06:21 UTC) #6
davidxl
Where is the string table management code? The gcov.c file is not properly uploaded either. ...
2 years, 11 months ago (2012-08-24 20:42:02 UTC) #7
cmang2
Ok, I fixed most of the problem you found. I'm not sure what happened with ...
2 years, 11 months ago (2012-08-24 21:23:55 UTC) #8
cmang2
Also, what did you mean by there being missing string table management code? On Fri, ...
2 years, 11 months ago (2012-08-24 21:26:41 UTC) #9
davidxl
I don't see any code where a string table is declared nor created ... David ...
2 years, 11 months ago (2012-08-24 21:32:32 UTC) #10
cmang2
Oh ok, that's because of the uploading problem (although I seem to be able to ...
2 years, 11 months ago (2012-08-24 21:38:19 UTC) #11
cmang2
Fixed formatting issues. The patch should be applied to google/main Tested with crosstools. 2012-08-24 Chris ...
2 years, 11 months ago (2012-08-24 21:51:24 UTC) #12
davidxl
On 2012/08/24 21:51:24, cmang wrote: > Fixed formatting issues. The gcov.c is still not uploaded ...
2 years, 11 months ago (2012-08-24 22:30:12 UTC) #13
davidxl
http://codereview.appspot.com/6427063/diff/11002/gcc/gcov-io.h File gcc/gcov-io.h (right): http://codereview.appspot.com/6427063/diff/11002/gcc/gcov-io.h#newcode688 gcc/gcov-io.h:688: gcov_unsigned_t index; /* The corresponding string table index */ ...
2 years, 11 months ago (2012-08-24 22:30:29 UTC) #14
cmang2
http://codereview.appspot.com/6427063/diff/11002/gcc/gcov-io.h File gcc/gcov-io.h (right): http://codereview.appspot.com/6427063/diff/11002/gcc/gcov-io.h#newcode688 gcc/gcov-io.h:688: gcov_unsigned_t index; /* The corresponding string table index */ ...
2 years, 11 months ago (2012-08-24 22:56:32 UTC) #15
davidxl
On Fri, Aug 24, 2012 at 3:56 PM, <cmang@google.com> wrote: > > http://codereview.appspot.com/6427063/diff/11002/gcc/gcov-io.h > File ...
2 years, 11 months ago (2012-08-24 23:20:21 UTC) #16
cmang2
On 2012/08/24 23:20:21, davidxl wrote: > On Fri, Aug 24, 2012 at 3:56 PM, <mailto:cmang@google.com> ...
2 years, 11 months ago (2012-08-27 17:55:29 UTC) #17
tejohnson
On Mon, Aug 27, 2012 at 10:55 AM, <cmang@google.com> wrote: > On 2012/08/24 23:20:21, davidxl ...
2 years, 11 months ago (2012-08-27 17:59:25 UTC) #18
cmang2
Oh, I see. I misunderstood. I'll make those changes and send a patch. On Mon, ...
2 years, 11 months ago (2012-08-27 18:01:15 UTC) #19
cmang2
Moved pmu writing utilities to global header. The patch should be applied to google/main Tested ...
2 years, 11 months ago (2012-08-27 22:05:27 UTC) #20
davidxl
2 years, 11 months ago (2012-08-27 22:23:00 UTC) #21
Ok for google branches.

David
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e6eadc5